Upstream information

CVE-2021-44832 at MITRE

Description

Apache Log4j2 versions 2.0-beta7 through 2.17.0 (excluding security fix releases 2.3.2 and 2.12.4) are vulnerable to a remote code execution (RCE) attack when a configuration uses a JDBC Appender with a JNDI LDAP data source URI when an attacker has control of the target LDAP server. This issue is fixed by limiting JNDI data source names to the java protocol in Log4j2 versions 2.17.1, 2.12.4, and 2.3.2.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 8.5
Vector AV:N/AC:M/Au:S/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.6 6.6
Vector CVSS:3.1/AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity High High
Privileges Required High High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1194127 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP3-Manager-4-2-Server-BYOS-Azure
Image SLES15-SP3-Manager-4-2-Server-BYOS-EC2-HVM
Image SLES15-SP3-Manager-4-2-Server-BYOS-GCE
  • log4j >= 2.17.0-4.16.1
  • log4j-slf4j >= 2.17.0-4.16.1
Image SLES15-SP4-Manager-Server-4-3
Image SLES15-SP4-Manager-Server-4-3-Azure-llc
Image SLES15-SP4-Manager-Server-4-3-Azure-ltd
Image SLES15-SP4-Manager-Server-4-3-BYOS
Image SLES15-SP4-Manager-Server-4-3-BYOS-Azure
Image SLES15-SP4-Manager-Server-4-3-BYOS-EC2
Image SLES15-SP4-Manager-Server-4-3-BYOS-GCE
Image SLES15-SP4-Manager-Server-4-3-EC2-llc
Image SLES15-SP4-Manager-Server-4-3-EC2-ltd
  • log4j >= 2.17.0-4.16.1
  • log4j-jcl >= 2.17.0-4.16.1
  • log4j-slf4j >= 2.17.0-4.16.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • log4j >= 2.17.0-4.16.1
  • log4j-javadoc >= 2.17.0-4.16.1
  • log4j-jcl >= 2.17.0-4.16.1
  • log4j-slf4j >= 2.17.0-4.16.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA log4j-2.17.1-4.20.1
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Basesystem 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • log4j >= 2.17.0-4.16.1
  • log4j-javadoc >= 2.17.0-4.16.1
  • log4j-jcl >= 2.17.0-4.16.1
  • log4j-slf4j >= 2.17.0-4.16.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP5 GA log4j-2.17.2-150200.4.24.13
openSUSE Leap 15.2
  • log4j >= 2.17.0-lp152.3.15.1
  • log4j-javadoc >= 2.17.0-lp152.3.15.1
  • log4j-jcl >= 2.17.0-lp152.3.15.1
  • log4j-slf4j >= 2.17.0-lp152.3.15.1
Patchnames:
openSUSE-2022-2
openSUSE Leap 15.3
  • log4j >= 2.17.0-4.16.1
  • log4j-javadoc >= 2.17.0-4.16.1
  • log4j-jcl >= 2.17.0-4.16.1
  • log4j-slf4j >= 2.17.0-4.16.1
Patchnames:
openSUSE-SLE-15.3-2021-4208
openSUSE Tumbleweed
  • log4j >= 2.17.1-1.1
  • log4j-javadoc >= 2.17.1-1.1
  • log4j-jcl >= 2.17.1-1.1
  • log4j-slf4j >= 2.17.1-1.1
Patchnames:
openSUSE Tumbleweed GA log4j-2.17.1-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 log4j Unsupported
SUSE Enterprise Storage 7.1 log4j12 Not affected
SUSE Linux Enterprise Desktop 15 SP5 log4j Released
SUSE Linux Enterprise Desktop 15 SP5 log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 log4j Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 log4j Released
SUSE Linux Enterprise High Performance Computing 15 SP5 log4j12 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 log4j Released
SUSE Linux Enterprise Module for Basesystem 15 SP5 log4j12 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 log4j12 Not affected
SUSE Linux Enterprise Real Time 15 SP3 log4j Affected
SUSE Linux Enterprise Real Time 15 SP3 log4j12 Not affected
SUSE Linux Enterprise Server 12 SP5 log4j Not affected
SUSE Linux Enterprise Server 12-LTSS log4j Not affected
SUSE Linux Enterprise Server 15 SP5 log4j Released
SUSE Linux Enterprise Server 15 SP5 log4j12 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 log4j Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 log4j Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 log4j12 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 log4j Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 log4j12 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 log4j Not affected
SUSE Manager Proxy 4.3 log4j Released
SUSE Manager Proxy 4.3 log4j12 Not affected
SUSE Manager Retail Branch Server 4.3 log4j Released
SUSE Manager Retail Branch Server 4.3 log4j12 Not affected
SUSE Manager Server 4.3 log4j Released
SUSE Manager Server 4.3 log4j12 Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 log4j Released
SUSE Linux Enterprise Desktop 15 SP4 log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 15 log4j Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 log4j Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS log4j Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS log4j Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 log4j Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS log4j Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS log4j Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 log4j Released
SUSE Linux Enterprise High Performance Computing 15 SP4 log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS log4j Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS log4j Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS log4j12 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS log4j Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS log4j Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 log4j12 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 log4j Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP3 log4j12 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 log4j Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 log4j12 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 log4j12 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 log4j12 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 log4j12 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL log4j Not affected
SUSE Linux Enterprise Server 15 SP2 log4j12 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS log4j12 Not affected
SUSE Linux Enterprise Server 15 SP3 log4j Unsupported
SUSE Linux Enterprise Server 15 SP3 log4j12 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS log4j Affected
SUSE Linux Enterprise Server 15 SP3-LTSS log4j12 Not affected
SUSE Linux Enterprise Server 15 SP4 log4j Released
SUSE Linux Enterprise Server 15 SP4 log4j12 Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS log4j Affected
SUSE Linux Enterprise Server 15 SP4-LTSS log4j12 Not affected
SUSE Linux Enterprise Server 15-ESPOS log4j Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 log4j Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 log4j12 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 log4j Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 log4j Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 log4j12 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 log4j Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 log4j12 Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 log4j Not affected
SUSE CaaS Platform 4.0 log4j Not affected
SUSE CaaS Platform 4.5 log4j12 Not affected
SUSE Enterprise Storage 6 log4j Not affected
SUSE Enterprise Storage 7 log4j12 Not affected
SUSE Linux Enterprise Desktop 11 SP4 log4j Not affected
SUSE Linux Enterprise Desktop 12 log4j Not affected
SUSE Linux Enterprise Desktop 12 SP1 log4j Not affected
SUSE Linux Enterprise Desktop 12 SP2 log4j Not affected
SUSE Linux Enterprise Desktop 12 SP3 log4j Not affected
SUSE Linux Enterprise Desktop 12 SP4 log4j Not affected
SUSE Linux Enterprise Desktop 15 log4j Not affected
SUSE Linux Enterprise Desktop 15 SP1 log4j Not affected
SUSE Linux Enterprise Desktop 15 SP2 log4j12 Not affected
SUSE Linux Enterprise Desktop 15 SP3 log4j Unsupported
SUSE Linux Enterprise Desktop 15 SP3 log4j12 Not affected
SUSE Linux Enterprise Module for Basesystem 15 log4j Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 log4j Not affected
SUSE Linux Enterprise Module for Development Tools 15 log4j Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 log4j Not affected
SUSE Linux Enterprise Real Time 15 SP2 log4j12 Not affected
SUSE Linux Enterprise Real Time 15 SP4 log4j Affected
SUSE Linux Enterprise Real Time 15 SP4 log4j12 Not affected
SUSE Linux Enterprise Server 11 SP3 log4j Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS log4j Not affected
SUSE Linux Enterprise Server 11 SP4 log4j Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS log4j Not affected
SUSE Linux Enterprise Server 12 log4j Not affected
SUSE Linux Enterprise Server 12 SP1 log4j Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS log4j Not affected
SUSE Linux Enterprise Server 12 SP2 log4j Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS log4j Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS log4j Not affected
SUSE Linux Enterprise Server 12 SP3 log4j Not affected
SUSE Linux Enterprise Server 12 SP3-BCL log4j Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS log4j Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS log4j Not affected
SUSE Linux Enterprise Server 12 SP4 log4j Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS log4j Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS log4j Not affected
SUSE Linux Enterprise Server 15 log4j Not affected
SUSE Linux Enterprise Server 15 SP1 log4j Not affected
SUSE Linux Enterprise Server 15 SP1-BCL log4j Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS log4j Not affected
SUSE Linux Enterprise Server 15 SP2-BCL log4j12 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL log4j Affected
SUSE Linux Enterprise Server 15 SP3-BCL log4j12 Not affected
SUSE Linux Enterprise Server 15-LTSS log4j Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 log4j Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 log4j Not affected
SUSE Linux Enterprise Server for SAP Applications 12 log4j Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 log4j Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 log4j Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 log4j Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 log4j Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 log4j Not affected
SUSE Linux Enterprise Software Development Kit 12 log4j Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 log4j Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 log4j Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 log4j Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 log4j Not affected
SUSE Manager Proxy 4.0 log4j Not affected
SUSE Manager Proxy 4.1 log4j12 Not affected
SUSE Manager Proxy 4.2 log4j Unsupported
SUSE Manager Proxy 4.2 log4j12 Not affected
SUSE Manager Retail Branch Server 4.0 log4j Not affected
SUSE Manager Retail Branch Server 4.1 log4j12 Not affected
SUSE Manager Retail Branch Server 4.2 log4j Unsupported
SUSE Manager Retail Branch Server 4.2 log4j12 Not affected
SUSE Manager Server 4.0 log4j Not affected
SUSE Manager Server 4.1 log4j12 Not affected
SUSE Manager Server 4.2 log4j Unsupported
SUSE Manager Server 4.2 log4j12 Not affected
SUSE OpenStack Cloud 7 log4j Not affected
SUSE OpenStack Cloud 8 log4j Not affected
SUSE OpenStack Cloud 9 log4j Not affected
SUSE OpenStack Cloud Crowbar 8 log4j Not affected
SUSE OpenStack Cloud Crowbar 9 log4j Not affected
Products at an unknown state of their lifecycle.
SUSE Linux Enterprise Desktop 15 SP4-LTSS log4j Affected
SUSE Linux Enterprise Desktop 15 SP4-LTSS log4j12 Not affected


SUSE Timeline for this CVE

CVE page created: Tue Dec 28 21:00:02 2021
CVE page last modified: Thu Feb 1 01:41:22 2024